OMPAYOMPAY
API ReferenceEndpointsBank hosted

Create an order for checkout

Creates a bank-hosted checkout order and returns an orderId that must be used in the checkout redirect flow.

POST
/nac/api/v1/pg/orders/create-checkout

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.uat.gateway.ompay.com/nac/api/v1/pg/orders/create-checkout" \  -H "Content-Type: application/json" \  -d '{    "amount": 0,    "currency": "string",    "uiMode": "string",    "customerFields": {      "name": "string",      "email": "user@example.com",      "phone": "string"    }  }'
{
  "orderId": "string",
  "amount": 0,
  "receiptId": "string",
  "status": "string",
  "resCode": 0,
  "errMessage": "string"
}
{
  "resCode": 0,
  "status": "failure",
  "errMessage": "string"
}